{
{% if consul_server %}
  "bootstrap_expect": {{ consul_servers|length|to_json }},
  "client_addr": "0.0.0.0",
  "server": {{ consul_server|to_json }},
  "ui": {{ consul_server|to_json }},
  "acl_datacenter": {{ consul_datacenter|to_json }},
  "acl_master_token": {{ consul_acl_master_token|to_json }},
{% endif %}
  "advertise_addr": {{ host_ipv4|to_json }},
  "datacenter": {{ consul_datacenter|to_json }},
  "data_dir": {{ consul_data_dir|to_json }},
  "encrypt": {{ consul_encrypt|to_json }},
  "leave_on_terminate": false,
  "retry_join": {{ consul_servers|reject('equalto',host_ipv4)|sort(reverse=True)|to_json }},
  "acl_agent_token": {{ consul_acl_agent_token|to_json }}
}
